import {mande} from "mande";
import {queryRemoveZero} from "@/api/utils.js";

const product = mande('/api/v1/products')

export const ListProducts = (query) => {
    const q = queryRemoveZero(query)
    return product.get({query:q})
}

export const UpdateProduct=(p)=>{
    return product.post(p)
}

export const GetProduct = (pid) => {
    return product.get(`p/${encodeURIComponent(pid)}`)
}